Subject: [os2genau_digest] No. 2009
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 10 Oct 2010 00:01:14 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Saturday 09 October 2010
 Number  2009
**************************************************

Subjects for today
 
1  Re:  Daylight Savings Time - again! : Peter Moylan <peter at pmoylan dot org>

**= Email   1 ==========================**

Date:  Sat, 09 Oct 2010 21:35:39 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Daylight Savings Time - again!

  On 5/10/2010 11:07 AM, Ian Manners wrote:
> Hi Peter,
>
>> Anyway, I need to clarify something. Weasel does not use the TZ string
>> directly. Instead, it uses a time zone offset field that's stored in
>> OS/2's internal date/time record. I had hoped to talk other software
>> developers into doing the same thing, instead of every separate program
>> having the overhead of redundantly parsing the TZ string; but this
>> happened at a time when OS/2 developers were gradually disappearing.
> I can remember you saying this in the past now that you mention it.
>
>> snip<
>> Serenity fixed this, at my urging, so that eCS Clock _does_ correctly
>> set that field. Furthermore eCS Clock automatically handles daylight
>> saving changes. It worked beautifully in eCS version 1.0. For reasons I
>> don't understand, eCS Clock was dropped from eCS 2.0. (And, now that I
>> think of it, I forgot to copy eCS Clock over to my main computer's eCS
>> 2.0 installation.) That means, to the best of my knowledge, that eCS 2.0
>> is inferior to 1.0 in terms of handling time changes. In fact I don't
>> think 2.0 stores time zone information anywhere.
> Maybe it confused us old timers :o)
> They could have left it there anyway, unless there was a problem
> with copyright or something.
>
The problem, I think, is that eCSclock was a derivative of a shareware 
product called "world clock". The author
of that program dropped support before eCS 2.0 was released.

If you can copy that product from the eCS 1.x Distribution, you will 
have a good eCSclock program.

-- 
Peter Moylan                          peter at pmoylan dot org
                                       http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===